Name: libxfcegui4
Version: 4.2.2
Release: alt1

Summary: Various Gtk+2 widgets for XFce
Summary(ru_RU.CP1251):    XFce  Gtk+2
License: LGPL
Group: Development/C
Url: http://www.xfce.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

Requires: libgtk+2 >= 2.2.0, libxfce4util >= %version
BuildPreReq: libgtk+2-devel >= 2.2.0, libxfce4util-devel >= %version

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}


# Automatically added by buildreq on Wed May 18 2005
BuildRequires: gcc-c++ glib2-devel libatk-devel libdbh-devel libgtk+2-devel libpango-devel libstartup-notification-devel libstdc++-devel libxfce4util-devel libxml2-devel pkgconfig xorg-x11-devel

%description
Various Gtk+2 widgets for XFce.

%description -l ru_RU.CP1251
     XFce,    Gtk+2.

%package devel
Summary: Development files for %name
Summary(ru_RU.CP1251):      %name
Group: Development/C
License: LGPL
PreReq: %name = %version-%release

%description devel
Header files for the %name library.

%description devel -l ru_RU.CP1251
       %name.

%package devel-static
Summary: Static library for %name
Summary(ru_RU.CP1251):   %name
Group: Development/C
License: LGPL
PreReq: %name-devel = %version-%release

%description devel-static
Static libraries files for the %name library.

%description devel-static -l ru_RU.CP1251
       %name.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static} --enable-xinerama
%make_build

%install
%makeinstall

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%_libdir/xfce4/modules/*.so*
%exclude %_libdir/xfce4/modules/*.la
%_datadir/xfce4/mime/*
%_datadir/xfce4/*.svg
%_datadir/xfce4/hicolor-index.theme

%files devel
%_includedir/xfce4/libxfcegui4
%_includedir/xfce4/xfce4-modules
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%doc %_datadir/gtk-doc/html/%name

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Do not package %name-devel-static by default.

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt2
- *.la files removed.

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 11 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
